## v4l2radio v4l2radio |

## Properties

gchar * | device | Read / Write
gint | frequency | Read / Write

## Types and Values

struct | GstV4l2Radio

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstV4l2Radio

## Implemented Interfaces

GstV4l2Radio implements GstURIHandler and GstTuner.

## Description

v4l2radio can be used to control radio device and to tune it to different radiostations.

### Example launch lines

    1
    2
    gst-launch-1.0 v4l2radio device=/dev/radio0 frequency=101200000
    gst-launch-1.0 alsasrc device=hw:1 ! audioconvert ! audioresample ! alsasink

First pipeline tunes the radio device /dev/radio0 to station 101.2 MHz, second pipeline connects digital audio out (hw:1) to default sound card.

## Synopsis

### Element Information

plugin | video4linux2
author | Alexey Chernov <4ernov@gmail.com>
class | Tuner

### Element Pads

## Functions

## Types and Values

### struct GstV4l2Radio

    struct GstV4l2Radio;

Opaque video4linux2 radio tuner element

## Property Details

### The `“device”` property

      “device”                   gchar *

Video4Linux2 radio device location.

Flags: Read / Write

Default value: "/dev/radio0"

### The `“frequency”` property

      “frequency”                gint

Station frequency in Hz.

Flags: Read / Write

Allowed values: [87500000,108000000]

Default value: 100000000